<?php

declare(strict_types=1);

namespace Gls\GlsPoland\AdePlus\Type;

final class CLang
{
    /**
     * @var string
     */
    private $lang;

    public function getLang(): string
    {
        return $this->lang;
    }

    public function withLang(string $lang): CLang
    {
        $new = clone $this;
        $new->lang = $lang;

        return $new;
    }
}
